Subject: bug#17592: 24.3; popup dialog hangs emacs

From: Song Xie <[email-masked]>
Date: Wed, 18 Jun 2014 21:48:48 -0700

Hi,

I installed Emacs 24.3 using Homebrew on my Mac OS X 10.9.3 with the command

brew install emacs --use-git-head --cocoa --srgb

And I can repro the bug.

Thanks,
Song

> Hello.
> I can't reproduce this with trunk or the emacs-24 branch or a compiled 24.3
> from the tarball.
> Jan D.
> 26 maj 2014 kl. 00:51 skrev Rodney Kosloski <address@hidden>:
> >
> * ==============*>
> * Emacs hangs when executing x-popup-dialog *>
> >
> * Machine: imac *>
> * OS: OX X 10.9.3*>
> * Emacs: macports emacs-app @ 24.3_2*>
>  >
> * Any popup dialog causes emacs to hang.*>
> * For example:*>
> >
> * (x-popup-dialog t '("Working" ("Yes" . t) ("No" . nil)))*>
>  >
> * The dialog appears, the buttons are visible, the button is*>
> * highlighted when clicked but then nothing happens. Emacs is*>
> * completely unresponsive and I have to kill it from a terminal window. *>
> >
> * This happens even if I invoke emacs with -q and immediately execute*>
> * x-popup-dialog.*>
> * ==============*>
> >
> >
> >
> * In GNU Emacs 24.3.1 (x86_64-apple-darwin13.0.0, NS apple-appkit-1265.00)
> *>
> * of 2014-02-08 on tennine-slave.macports.org
> <http://tennine-slave.macports.org>*>
> * Windowing system distributor `Apple', version 10.3.1265*>
> * Configured using:*>
> * `configure '--prefix=/opt/local' '--with-ns' '--without-x' *>
> * '--without-dbus' 'CC=/usr/bin/clang' 'CFLAGS=-pipe -Os -arch x86_64'*>
> * 'LDFLAGS=-L/opt/local/lib -Wl,-headerpad_max_install_names -arch*>
> * x86_64' 'CPPFLAGS=-I/opt/local/include'' *>
> >
> * Important settings:*>
> * value of $LANG: en_US.UTF-8*>
> * locale-coding-system: utf-8*>
> * default enable-multibyte-characters: t*>
> >
> * Major mode: Info *>
> >
> * Minor modes in effect:*>
> * openwith-mode: t*>
> * tooltip-mode: t*>
> * mouse-wheel-mode: t*>
> * tool-bar-mode: t*>
> * menu-bar-mode: t *>
> * file-name-shadow-mode: t*>
> * global-font-lock-mode: t*>
> * font-lock-mode: t*>
> * blink-cursor-mode: t*>
> * auto-composition-mode: t*>
> * auto-encryption-mode: t *>
> * auto-compression-mode: t*>
> * buffer-read-only: t*>
> * column-number-mode: t*>
> * line-number-mode: t*>
> * transient-mark-mode: t*>
> >
> * Recent input: *>
> * <menu-bar> <help-menu> <emacs-manual-bug> <help-echo> *>
> * <help-echo> <help-echo> <down-mouse-1> <mouse-2> <down-mouse-1> *>
> * <down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1> *>
> * <down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1> *>
> * <down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1> *>
> * <down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1> *>
> * <down-mouse-1> <down-mouse-1> <down-mouse-1> <help-echo> *>
> * <menu-bar> <help-menu> <about-emacs> <help-echo> <menu-bar> *>
> * <buffer> C-a <menu-bar> <help-menu> <send-emacs-bug-report> *>
> * C-g <down-mouse-1> <mouse-1> M-x r e p o r t - e m *>
> * a c s - b u f <backspace> g <return>*>
> >
> * Recent messages:*>
> * Loading /Users/rodneykosloski/quicklisp/slime-helper.el (source)...done *
> >
> * Loading *>
> *
> /Users/rodneykosloski/personal/emacs/android-emacs-toolkit/androidmk-mode.el*
> >
> * [android] /Users/rodneykosloski/local/share/development/android-ndk-r9c*
> >
> * [android]
> /Users/rodneykosloski/local/share/development/android-sdk-macosx *>
> * Loading dired-x...done*>
> * Thursday May 29, 2014*>
> * * mechanics starts: www.edx.org <http://www.edx.org> 8.mrevx*>
> * Package pgg-def is obsolete!*>
> * Package pgg-parse is obsolete! *>
> * Package pgg is obsolete!*>
> * Quit*>
> >
> * Load-path shadows:*>
> * /Users/rodneykosloski/emacs24-app/lisp/custom hides *>
> * /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/custom *>
> * /Users/rodneykosloski/emacs24-app/lisp/xscheme hides *>
> *
> /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/progmodes/xscheme*
> >
> >
> * Features:*>
> * (shadow sort gnus-util mail-extr emacsbug message idna format-spec *>
> * rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231*>
> * mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums*>
> * mm-util mail-prsvr mail-utils jka-compr info openwith easy-mmode dired-x
> *>
> * easymenu dired androidmk-mode derived slime-autoloads dir-mode grep*>
> * compile comint ansi-color ring browse-url cl-macs gv pgg pgg-parse*>
> * pgg-def cl cl-lib time-date tooltip ediff-hook vc-hooks lisp-float-type *
> >
> * mwheel ns-win tool-bar dnd fontset image regexp-opt fringe*>
> * tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow*>
> * timer select scroll-bar mouse jit-lock font-lock syntax facemenu *>
> * font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan*>
> * thai tai-viet lao korean japanese hebrew greek romanian slovak czech*>
> * european ethiopic indian cyrillic chinese case-table epa-hook *>
> * jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces*>
> * cus-face macroexp files text-properties overlay sha1 md5 base64 format*>
> * env code-pages mule custom widget hashtable-print-readable backquote *>
> * make-network-process ns multi-tty emacs)*>
> >

-- 
Song Xie